import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { CloudFileChunkCountOrderByAggregateInputObjectSchema as CloudFileChunkCountOrderByAggregateInputObjectSchema } from './CloudFileChunkCountOrderByAggregateInput.schema';
import { CloudFileChunkAvgOrderByAggregateInputObjectSchema as CloudFileChunkAvgOrderByAggregateInputObjectSchema } from './CloudFileChunkAvgOrderByAggregateInput.schema';
import { CloudFileChunkMaxOrderByAggregateInputObjectSchema as CloudFileChunkMaxOrderByAggregateInputObjectSchema } from './CloudFileChunkMaxOrderByAggregateInput.schema';
import { CloudFileChunkMinOrderByAggregateInputObjectSchema as CloudFileChunkMinOrderByAggregateInputObjectSchema } from './CloudFileChunkMinOrderByAggregateInput.schema';
import { CloudFileChunkSumOrderByAggregateInputObjectSchema as CloudFileChunkSumOrderByAggregateInputObjectSchema } from './CloudFileChunkSumOrderByAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  fileId: SortOrderSchema.optional(),
  seq: SortOrderSchema.optional(),
  data: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  _count: z.lazy(() => CloudFileChunkCountOrderByAggregateInputObjectSchema).optional(),
  _avg: z.lazy(() => CloudFileChunkAvgOrderByAggregateInputObjectSchema).optional(),
  _max: z.lazy(() => CloudFileChunkMaxOrderByAggregateInputObjectSchema).optional(),
  _min: z.lazy(() => CloudFileChunkMinOrderByAggregateInputObjectSchema).optional(),
  _sum: z.lazy(() => CloudFileChunkSumOrderByAggregateInputObjectSchema).optional()
}).strict();
export const CloudFileChunkOrderByWithAggregationInputObjectSchema: z.ZodType<Prisma.CloudFileChunkOrderByWithAggregationInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkOrderByWithAggregationInput>;
export const CloudFileChunkOrderByWithAggregationInputObjectZodSchema = makeSchema();
